geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Tim McConnell (JIRA)" <j...@apache.org>
Subject [jira] Resolved: (GERONIMODEVTOOLS-316) intermittent "Geronimo Deployment 1.2 cannot be installed." error message from the Eclipse Project Facets wizard
Date Fri, 04 Apr 2008 00:51:24 GMT

     [ https://issues.apache.org/jira/browse/GERONIMODEVTOOLS-316?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Tim McConnell resolved GERONIMODEVTOOLS-316.
--------------------------------------------

       Resolution: Fixed
    Fix Version/s: 2.1.0

The problem was a classic race condition. Using the same action type id for a "Geronimo Deployment"
project facet across multiple plugins was ill-advised on my part. As a result, the first project
facet loaded by Eclipse would work just fine, but others loaded subquently by Eclipse would
fail. Now each version of the "Geronimo Deployment" project facet has a unique action type
id to fix the problem.

> intermittent "Geronimo Deployment 1.2 cannot be installed." error message from the Eclipse
Project Facets wizard
> ----------------------------------------------------------------------------------------------------------------
>
>                 Key: GERONIMODEVTOOLS-316
>                 URL: https://issues.apache.org/jira/browse/GERONIMODEVTOOLS-316
>             Project: Geronimo-Devtools
>          Issue Type: Sub-task
>            Reporter: Tim McConnell
>            Assignee: Tim McConnell
>             Fix For: 2.1.0
>
>


-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message